Get all alerts for a case
Server:
https://{kibana_url}
- GET /api/cases/{caseId}/alerts
- GET /s/{space_id}/api/cases/{caseId}/alerts
Refer to Spaces for more information.
You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the cases you're seeking.
Path Parameters
-
caseIdstringrequired -
The identifier for the case. To retrieve case IDs, use the find cases API. All non-ASCII characters must be URL encoded.
Responses
Indicates a successful call.
Response Type: object
-
attached_atstring -
idstring -
The alert identifier.
-
indexstring -
The alert index.
Authorization information is missing or invalid.
-
errorstring -
messagestring -
statusCodeinteger